/*
 * 作成日: 2005/02/16
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package jp.co.ntt.lms.xmf.actions.lo.scorm.individuallog;

import java.util.Date;

import jp.co.ntt.lms.xms.logsumup.scorm.IndividualLogUserProgressStoreData;
/**
 * @author Administrator
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class IndividualLogUserProgressStoreDataWraper {

	public IndividualLogUserProgressStoreData result = null;
	
	/**
	 * @param result result を設定。
	 */
	public void setResult(IndividualLogUserProgressStoreData result) {
		this.result = result;
	}
	/**
	 * @return result.result を戻します。
	 */
	public IndividualLogUserProgressStoreData getResult() {
		return result;
	}
	
	/**
	 * @return result.blUnitComplete を戻します。
	 */
	public boolean isBlUnitComplete() {
		return result.blUnitComplete;
	}
	/**
	 * @return result.blUnitPass を戻します。
	 */
	public boolean isBlUnitPass() {
		return result.blUnitPass;
	}
	/**
	 * @return result.datEndDate を戻します。
	 */
	public Date getDatEndDate() {
		return result.datEndDate;
	}
	/**
	 * @return result.datStartDate を戻します。
	 */
	public Date getDatStartDate() {
		return result.datStartDate;
	}
	/**
	 * @return result.dwResidanceTime を戻します。
	 */
	public double getDwResidanceTime() {
		return result.dwResidanceTime;
	}
	/**
	 * @return result.dwStoreMaxScore を戻します。
	 */
	public double getDwStoreMaxScore() {
		return result.dwStoreMaxScore;
	}
	/**
	 * @return result.dwStoreNewScore を戻します。
	 */
	public double getDwStoreNewScore() {
		return result.dwStoreNewScore;
	}
	/**
	 * @return result.dwStoreScaledMaxScore を戻します。
	 */
	public double getDwStoreScaledMaxScore() {
		return result.dwStoreScaledMaxScore;
	}
	/**
	 * @return result.dwStoreScaledNewScore を戻します。
	 */
	public double getDwStoreScaledNewScore() {
		return result.dwStoreScaledNewScore;
	}
	/**
	 * @return result.iActivityType を戻します。
	 */
	public int getIActivityType() {
		return result.iActivityType;
	}
	/**
	 * @return result.lngAccessCount を戻します。
	 */
	public long getLngAccessCount() {
		return result.lngAccessCount;
	}
	/**
	 * @return result.strActivityID を戻します。
	 */
	public String getStrActivityID() {
		return result.strActivityID;
	}
	/**
	 * @return result.strActivityName を戻します。
	 */
	public String getStrActivityName() {
		return result.strActivityName;
	}
}
